Anybody running a webserver on Amazon EC2 should run sudo yum update ASAP.

https://forums.aws.amazon.com/thread.jspa?messageID=572002

Then run the vulnerability test in a ssh session :

env x='() { :;}; echo vulnerable' bash -c "echo this is a test"